Skip to main content
`Ctrl`+`K`

# PEPExtract

The eigenvector extraction strategy.

## Synopsis

    typedef enum { PEP_EXTRACT_NONE       = 1,
                   PEP_EXTRACT_NORM       = 2,
                   PEP_EXTRACT_RESIDUAL   = 3,
                   PEP_EXTRACT_STRUCTURED = 4 } PEPExtract;

## Values

- `PEP_EXTRACT_NONE` - trivial extraction

- `PEP_EXTRACT_NORM` - extraction based on the norm

- `PEP_EXTRACT_RESIDUAL` - extraction based on the residual

- `PEP_EXTRACT_STRUCTURED` - extraction using a linear combination of all the blocks

## Note

This is relevant for solvers based on linearization. Once the solver has converged, the polynomial eigenvectors can be extracted from the eigenvectors of the linearized problem in different ways. See the discussion in section Extraction.

## See Also

PEP: Polynomial Eigenvalue Problems, Extraction, `PEPSetExtract()`

## Level

intermediate

## Location

include/slepcpep.h

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages